<?php

namespace Planaday\Html\NodeTags\Booking\Shortcode;

use Planaday\Config\FeatureToggles\FeatureToggleSettings;
use Planaday\Html\NodeTags\Feature;
use Planaday\Html\NodeTags\Tag;
use Planaday\Html\NodeTags\TemplateOnlyTag;
use Planaday\Utility\DependencyInjection\Attributes\Transient;

#[Transient]
class Shortcode  implements Tag, Feature {
	use TemplateOnlyTag;

	public function getTagDir(): string {
		return __DIR__;
	}

	public static function getAllowedTemplates(FeatureToggleSettings $featureToggles): array {
		return [
			'Gestyled formulier' => 'withStyling',
			'Boekingsformulier zonder styling' => 'Shortcode',
		];
	}
}